Rated 4 out of 5 stars

What about version for firefox 4?

This review is for a previous version of the add-on (0.2.1). 

Firefox 4 supported

Sorry for the delay, I've now updated the compatibility for Firefox 4